Subject: bug#59579: installing zbar prevents gdm to start on Ubuntu 22.04 foreign distro

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 17 May 2024 23:10:57 -0400

Hi,

zimoun <[email-masked]> writes:

> Hi,
>
> On Tue, 31 Jan 2023 at 14:23, 宋文武 via Bug reports for GNU Guix <[email-masked]> wrote:
>
>> Hello, I don't think XDG_DATA_DIRS should be the problems, but other
>> environment variables with "lib", since the xdg data should be
>> portable...
>
> I had the issue yesterday on Ubuntu. :-)
>
>> I think GUIX_GTK3_PATH, QT_PLUGIN_PATH, GDK_PIXBUF_MODULE_FILE should be
>> the problems.
>
> None of these environment variables were in my profile, IIRC.  From my
> small experiment, the only common one is XDG_DATA_DIRS.  For instance, I
> had the issue and I just removed the package ’fontconfig’ which fixed
> the issue;  the environment variables reads,
>
> $ guix shell fontconfig --search-paths
> export PATH="/gnu/store/i5rdrrdq4zi98yzcw7rza169ir1zkj6n-profile/bin${PATH:+:}$PATH"
> export XDG_DATA_DIRS="/gnu/store/i5rdrrdq4zi98yzcw7rza169ir1zkj6n-profile/share${XDG_DATA_DIRS:+:}$XDG_DATA_DIRS"
>
> The package ’zbar’ also provides XDG_DATA_DIRS.  Maybe, I am missing
> something.

Just to be sure, do you have default XDG_* environment variables as
configured by guix-install.sh:

--8<---------------cut here---------------start------------->8---
export XCURSOR_PATH="${XCURSOR_PATH:-/usr/local/share/icons:/usr/share/icons}"
export XDG_DATA_HOME="${XDG_DATA_HOME:-$HOME/.local/share}"
export XDG_CONFIG_HOME="${XDG_CONFIG_HOME:-$HOME/.config}"
export XDG_STATE_HOME="${XDG_STATE_HOME:-$HOME/.local/state}"
export XDG_DATA_DIRS="${XDG_DATA_DIRS:-/usr/local/share/:/usr/share/}"
export XDG_CONFIG_DIRS="${XDG_CONFIG_DIRS:-/etc/xdg}"
export XDG_CACHE_HOME="${XDG_CACHE_HOME:-$HOME/.cache}",
--8<---------------cut here---------------end--------------->8---

I think their absence used to cause this sort of behavior, since Guix
setting it to something would wholly override the distribution-provided
files.

-- 
Thanks
Maxim